IP_CREATE_BR(1)

NAME
ip_create_br - create bridge and re-connect ethernet interface

SYNOPSIS
ip_create_br

DESCRIPTION
This script expects a default single Ethernet interface setup, creates a bridge named 'br0', and re-connects the Ethernet interface to this bridge. The script bails out gracefully in case 'br0' already exists. In not, it determines the name of the Ethernet interface, accepting both old 'eth*' and new 'en*' naming, and verifies that it is a single Ethernet configuration. Then it creates a bridge device named 'br0' and re-connects the physical Ethernet interface to the bridge, preserving all IP addresses and routes. This script is part of setting up tap devices with ip_create_tap(1) but can be used independently. The script should be started as a normal user, but uses sudo(8) to execute privileged commands, and might therefore ask for the user password.

SEE ALSO
ip_create_tap(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>